pydo.apps.assign_alert_destinations()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.apps.assign_alert_destinations(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
alert_id="5a624ab5-dd58-4b39-b7dd-8b7c36e8a91d",
body={
"emails": [...],
"slack_webhooks": [...],
},
)Description
Updates the emails and slack webhook destinations for app alerts. Emails must be associated to a user with access to the app.
Parameters
app_idstring requiredThe app ID
alert_idstring requiredThe alert ID
emailsarray of strings optionalExample:
['[email protected]']slack_webhooksarray of objects optionalShow child properties
urlstring optionalExample:
https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXXchannelstring optionalExample:
Channel Name
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/alerts/{alert_id}/destinations in the API reference for additional detail on responses, headers, parameters, and more.